From b972af95894b5d869f3a0ef464c0d71951c7e8cb Mon Sep 17 00:00:00 2001
From: Remi Collet <remi@php.net>
Date: Mon, 26 Jun 2023 09:10:40 +0200
Subject: [PATCH] adapt test expectation with libzip 1.10

---
 ext/zip/tests/oo_getstreamindex.phpt | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/ext/zip/tests/oo_getstreamindex.phpt b/ext/zip/tests/oo_getstreamindex.phpt
index 6aba5ca7e52e..5703b2c8e528 100644
--- a/ext/zip/tests/oo_getstreamindex.phpt
+++ b/ext/zip/tests/oo_getstreamindex.phpt
@@ -34,13 +34,17 @@ fclose($fp);
 
 echo "== Index, changed\n";
 $fp = $zip->getStreamIndex(1);
-var_dump($zip->status);
+if (version_compare(ZipArchive::LIBZIP_VERSION, "1.10.0", "<")) {
+	/* not supported in old version */
+	var_dump($zip->status === ZipArchive::ER_CHANGED);
+} else {
+	var_dump($zip->status === 0 && stream_get_contents($fp) === "baz");
+}
 $zip->clearError();
 
 echo "== Index, unchanged\n";
 $fp = $zip->getStreamIndex(1, ZipArchive::FL_UNCHANGED);
-var_dump($zip->status);
-var_dump(stream_get_contents($fp));
+var_dump($zip->status === 0 && stream_get_contents($fp) === "bar");
 $zip->clearError();
 fclose($fp);
 
@@ -60,8 +64,7 @@ string(3) "foo"
 int(0)
 string(3) "foo"
 == Index, changed
-int(15)
+bool(true)
 == Index, unchanged
-int(0)
-string(3) "bar"
+bool(true)
 == Done
